<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('parameters', function (Blueprint $table) {

            $table->bigIncrements('Para_Id');

            $table->string('Date_format')->nullable();
            $table->string('Time_format')->nullable();
            $table->string('Currency')->nullable();
            $table->string('Amount')->nullable();
            $table->string('Text')->nullable();
            $table->string('Db_Row_limit')->nullable();

            $table->tinyInteger('Is_Active')->nullable();

            $table->timestamp('created_at')->nullable();
            $table->timestamp('updated_at')->nullable();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('parameters');
    }
};
